import { ComparisonOperator } from "@nerdjs/nerd-core";
import { ReactElement } from "react";
import { AdvancedSearchBaiscTypes, SearchableProps } from "./types";
/**
 *
 * @param {SearchableProps} props Component props
 * @returns {ReactElement} Searchable
 */
export declare function Searchable({ index, definition, filters, onFiltersChange, isNew, }: SearchableProps): ReactElement;
type ComparisonProps = {
    type: AdvancedSearchBaiscTypes | "singleSelect" | "multipleAutocomplete";
    prefix?: string;
    postfix?: string;
    value: ComparisonOperator;
    onChange: (c: ComparisonOperator) => void;
};
/**
 *
 * @param {ComparisonProps} props Component props
 * @returns {ReactElement} Comparison
 */
export declare function Comparison({ type, value, onChange, prefix, postfix, }: ComparisonProps): ReactElement;
export {};
