import { SheetProps } from "@mui/joy";
import { PropsWithChildren, ReactElement } from "react";
import type { DraggableProps } from "react-draggable";
import type { ResizableProps } from "react-resizable";
import "react-resizable/css/styles.css";
export interface NerdDraggableDialogProps {
    sheetProps?: SheetProps;
    draggableProps?: Partial<DraggableProps>;
    resizableProps?: Partial<ResizableProps>;
    initialWidth?: number;
    initialHeight?: number;
    resizable?: boolean;
}
/**
 *
 * @param {PropsWithChildren<NerdDraggableDialogProps>} props props
 * @returns {ReactElement} NerdDraggableDialog
 */
export declare function NerdDraggableDialog(props: PropsWithChildren<NerdDraggableDialogProps>): ReactElement;
