import { PayloadAction } from "@reduxjs/toolkit";
import { AppState } from "../appState";
export interface NerdDraggableDialogState {
    order: string[];
}
export declare const nerdDraggableDialog: import("@reduxjs/toolkit").Slice<NerdDraggableDialogState, {
    pushNerdDraggableDialogOrder: (state: import("immer/dist/internal").WritableDraft<NerdDraggableDialogState>, action: PayloadAction<string>) => import("immer/dist/internal").WritableDraft<NerdDraggableDialogState>;
    popNerdDraggableDialogOrder: (state: import("immer/dist/internal").WritableDraft<NerdDraggableDialogState>, action: PayloadAction<string>) => import("immer/dist/internal").WritableDraft<NerdDraggableDialogState>;
}, "nerdDraggableDialog">;
export declare const pushNerdDraggableDialogOrder: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "nerdDraggableDialog/pushNerdDraggableDialogOrder">, popNerdDraggableDialogOrder: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "nerdDraggableDialog/popNerdDraggableDialogOrder">;
export declare const nerdDraggableDialogReducer: import("redux").Reducer<NerdDraggableDialogState, import("redux").AnyAction>;
export declare const nerdDraggableDialogIndexSelector: ((state: AppState, uuid: string) => number) & import("reselect").OutputSelectorFields<(args_0: number) => number, {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
